﻿@inject Blazored.LocalStorage.ILocalStorageService localStorage
@inject HttpClient Http
@inject GlobalAppState GlobalAppState
@inject NavigationManager NavManager
@implements IDisposable
@page "/"

<style>
.ant-carousel .slick-dots li button {
    background: #000000;
    opacity: 0.6;
}

.ant-carousel .slick-dots li.slick-active button {
    opacity: 1;
    background: #000000;
}
</style>


<h1>FIO</h1>
@switch (GlobalAppState.State)
{
    case LoadState.Loading:
        <p><em>Loading...</em></p>
        <Spin size="large" />
        break;
    case LoadState.Authenticating:
        <p><em>Authenticating...</em></p>
        <Spin size="large" />
        break;

    case LoadState.NotAuthenticated:
        <h3>There is more to FIO than just Planet Search and Shipment Finder!</h3>
        <br/>
        <div style="width:800px; align:center">
            <Carousel DotPosition="@CarouselDotPosition.Bottom">
                <CarouselSlick>
                    <h4>See how many days of consumables you have</h4>
                    <Image Width="800px" Src="img/main-burnratepage.png" />
                </CarouselSlick>
                <CarouselSlick>
                    <h4>Look at all your inventories and search for materials</h4>
                    <Image Width="800px" Src="img/main-inventorypage.png"/>
                </CarouselSlick>
                <CarouselSlick>
                    <h4>Check the condition of your buildings and see what it takes to repair them</h4>
                    <Image Width="800px" Src="img/main-buildingdatapage.png"/>
                </CarouselSlick>
                <CarouselSlick>
                    <h4>Give your friends permission to see your data so you can coordinate</h4>
                    <Image Width="800px" Src="img/main-settingspage.png"/>
                </CarouselSlick>
            </Carousel>
        </div>
        <br/><br/>
        <em>To create an account, install the extension, refresh APEX, then click the extension button in the upper-right in your browser.</em>
        <div style="display:flex; flex-direction:row; gap:10px">
            <MatButtonLink Raised="true" Class="mdc-toast-info" Href="https://chrome.google.com/webstore/detail/fio-client/honhnhpbngledkpkocmeihfgkfmocmkh" Target="_blank">Install FIOExtension For Chrome</MatButtonLink>
            <MatButtonLink Raised="true" Class="mdc-toast-info" Href="https://addons.mozilla.org/en-US/firefox/addon/fio/" Target="_blank">Install FIOExtension For Firefox</MatButtonLink>
        </div>
        break;
}

@code
{
    protected override void OnInitialized()
    {
        GlobalAppState.OnChange += StateHasChanged;
    }

    public void Dispose()
    {
        GlobalAppState.OnChange -= StateHasChanged;
    }

    protected override async Task OnAfterRenderAsync(bool firstRender)
    {
        await Task.FromResult(0);
        if ( GlobalAppState.State == LoadState.Authenticated)
        {
            NavManager.NavigateTo($"/burnrate");
        }
    }
}